(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5447,        169]
NotebookOptionsPosition[      4893,        148]
NotebookOutlinePosition[      5237,        163]
CellTagsIndexPosition[      5194,        160]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  SuperscriptBox["E", "x"]}]], "Input",
 CellChangeTimes->{{3.42461647171875*^9, 3.42461648721875*^9}, {
  3.4246165203125*^9, 3.4246165489375*^9}, {3.424617689828125*^9, 
  3.424617704296875*^9}, {3.424618095015625*^9, 3.4246180961875*^9}, {
  3.42461840425*^9, 3.424618408796875*^9}, {3.42461847228125*^9, 
  3.424618473421875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"2", "Pi"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", "n_", "]"}], ":=", 
  RowBox[{
   FractionBox["1", "T"], " ", 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "T"], 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], 
     RowBox[{"Cos", "[", 
      FractionBox[
       RowBox[{"n", " ", "Pi", " ", "x"}], "T"], "]"}], 
     RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "[", "n_", "]"}], ":=", 
  RowBox[{
   FractionBox["1", "T"], " ", 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "T"], 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"n", " ", "Pi", " ", "x"}], "T"], "]"}], 
     RowBox[{"\[DifferentialD]", "x"}]}]}]}]}]}], "Input",
 CellChangeTimes->{{3.424616617609375*^9, 3.4246167776875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fourier", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], 
    RowBox[{"Cos", "[", 
     FractionBox[
      RowBox[{"n", " ", "Pi", " ", "x"}], "T"], "]"}]}], "+", 
   RowBox[{
    RowBox[{"b", "[", "n", "]"}], 
    RowBox[{"Sin", "[", 
     FractionBox[
      RowBox[{"n", " ", "Pi", " ", "x"}], "T"], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.424617314109375*^9, 3.424617364796875*^9}, 
   3.42461743184375*^9, {3.424617775390625*^9, 3.424617802265625*^9}, {
   3.424618278375*^9, 3.424618287703125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FT", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "0", "]"}], "/", "2"}], "+", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"fourier", "[", 
      RowBox[{"x", ",", "k"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.424616790359375*^9, 3.424616942296875*^9}, {
   3.42461703228125*^9, 3.42461703471875*^9}, {3.42461709146875*^9, 
   3.4246171305625*^9}, {3.42461735234375*^9, 3.42461744140625*^9}, {
   3.424617743390625*^9, 3.424617782*^9}, 3.42461783165625*^9, 
   3.42461807146875*^9, {3.424618295890625*^9, 3.42461831396875*^9}}],

Cell[BoxData[
 RowBox[{"FT", "[", 
  RowBox[{"x", ",", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.424617425140625*^9, 3.4246174766875*^9}, {
   3.42461832040625*^9, 3.424618320640625*^9}, 3.424622754765625*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FT", "[", 
       RowBox[{"x", ",", "6"}], "]"}], ",", 
      RowBox[{"f", "[", "x", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424617493125*^9, 3.4246175230625*^9}, {
   3.4246178691875*^9, 3.424617902265625*^9}, {3.42461813965625*^9, 
   3.42461816115625*^9}, {3.424618327171875*^9, 3.424618327640625*^9}, 
   3.42462273678125*^9}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{39, Automatic}, {Automatic, 52}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 398, 8, 31, "Input"],
Cell[1088, 34, 87, 3, 31, "Input"],
Cell[1178, 39, 819, 25, 83, "Input"],
Cell[2000, 66, 603, 17, 47, "Input"],
Cell[2606, 85, 705, 17, 31, "Input"],
Cell[3314, 104, 213, 4, 31, "Input"],
Cell[3530, 110, 547, 14, 31, "Input"],
Cell[4080, 126, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
